<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.mappingAccessories.home.title">Mapping Accessories</span>
            </h5>
            <p-dataTable [value]="mappingAccessories" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10]"
                [totalRecords]="totalItems" [responsive]="true" [lazy]="true" dataKey="idProduct" expandableRows="false" (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <ul class="nav justify-content-end">
                        <li class="nav-item">
                            <a class="btn" [routerLink]="['/', { outlets: { popup: ['mapping-accessories-new'] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                        </li>
                    </ul>
                    <!-- <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                      name="currentSearch" placeholder="Find Data">
                                <button class="input-group-addon btn btn-info" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div> -->
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.mappingAccessories.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.mappingAccessories.typeCode'|translate}}" [style]="{'width': '80px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idProduct}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.mappingAccessories.accessoriesId'|translate">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idAccessories}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.mappingAccessories.description'|translate">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.description}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.mappingAccessories.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit" (click)="delete(rowData.idProduct)" icon="fa-remove" class="ui-button-danger">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>